Bulk Delete Artifacts

POST
/v1/nodes/{node_id}/artifacts/bulk-delete

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

node_id*Node Id

Request Body

application/json
  1. body
artifact_ids?array<string>
expected_revision*Expected Revision

Response Body

Successful Response

application/json
  1. response
deleted_artifact_ids*array<string>
deleted_count*Deleted Count
expected_revision*Expected Revision
node_id*Node Id
result_revision*Result Revision
Example Request
curl -X POST 'https://flywheel.paradigma.inc/api/v1/nodes/string/artifacts/bulk-delete' \  -H 'Content-Type: application/json' \  -d '{  "expected_revision": 0}'
Example Response
{  "deleted_artifact_ids": [    "string"  ],  "deleted_count": 0,  "expected_revision": 0,  "node_id": "string",  "result_revision": 0}